JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.workflows.actions.services.listMethods('x');
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.workflows.actions.services.list_methods(
"x",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Workflows.Actions.Services.ListMethods(context.TODO(), "x")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}mobilerun-cloud workflows:actions:services list-methods \
--api-key 'My API Key' \
--service xcurl --request GET \
--url https://api.mobilerun.ai/actions/services/{service}/methods \
--header 'Authorization: Bearer <token>'
{
"data": [
{
"method": "<string>",
"params": [
{
"name": "<string>",
"required": true,
"description": "<string>",
"default": "<unknown>",
"example": "<unknown>"
}
]
}
]
}{
"error": "<string>"
}Actions
List allowed methods for a service
Return the methods allowed for the given service, each with its parameter definitions (name, type, whether required, description, and optional default/example). Returns 404 if the service is unknown.
GET
/
actions
/
services
/
{service}
/
methods
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.workflows.actions.services.listMethods('x');
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.workflows.actions.services.list_methods(
"x",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Workflows.Actions.Services.ListMethods(context.TODO(), "x")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}mobilerun-cloud workflows:actions:services list-methods \
--api-key 'My API Key' \
--service xWas this page helpful?
⌘I